=== debian/control ===
--- 
+++ 
@@ -25,10 +25,10 @@
  librrd-dev,
  libipmimonitoring-dev,
  dh-systemd (>= 1.5)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://slurm.schedmd.com
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/slurm-llnl.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/slurm-llnl.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
 
 Package: slurm-wlm
 Architecture: any
