## slurm-llnl 15.08.10

=== debian/changelog ===
slurm-llnl (15.08.10-1ubuntu1) yakkety; urgency=medium

  * Don't manually modify the -dbgsym package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 19:25:17 +0200

slurm-llnl (15.08.10-1build1) yakkety; urgency=medium

  * No-change rebuild for librrd soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 16:53:39 +0000

slurm-llnl (15.08.10-1) unstable; urgency=medium

  * New upstream release 
  * Update libslurm29 and libslurmdb29 symbol files
  * Add hardening=+pie to DEB_BUILD_MAINT_OPTIONS
  * Add Documentation section in systemd service files
  * Remove fix-spelling-errors patch included in upstream
  * Add lintian overrides for missing bindnow option
  * Upgrade to standard version 3.9.8
  * Remove postinst/rm in library packages since ldconfig is now handled
    by dh_makeshlibs

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 03 May 2016 17:19:24 +0200
