=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 #export DH_VERBOSE=1
 
 export PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
+export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
 # include defs of all DEB_HOST_*/DEB_BUILD_* vars
 include /usr/share/dpkg/architecture.mk
 
@@ -97,5 +98,12 @@
 	dh_strip -plibpam-slurm
 	dh_strip -pslurm-wlm-emulator
 	dh_strip -pslurm-client-emulator
+	dh_strip -plibpmi0-dev
+	dh_strip -plibslurmdb-dev
+	dh_strip -plibslurm-dev
+	dh_strip -pslurm-wlm-basic-plugins-dev
+	: # doesn't work on Launchpad
+	: strip --strip-debug --remove-section=.comment \
+		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/x86_64-linux-gnu/slurm/*.a
 
 override_dh_auto_test:
