=== alps_tests/query_alps_engine/Makefile ===
# Copyright (c) 2009-2011 Centro Svizzero di Calcolo Scientifico (CSCS)
# Licensed under the GPLv2.
# NAMES
TARGET = query_alps_engine
MAIN   = main.c
OBJS   = cmdline.o

# PROGRAMS
CC = gcc
RM = rm -vf

# PATHS
INCDIR = ../../include
LIBDIR = ../../libalps
HEADERS	= $(wildcard $(INCDIR)/*.h)

# FLAGS
CFLAGS = -I$(INCDIR) -Wall 
EXTRA_CFLAGS = -Werror -pedantic
ALPSLIB= $(LIBDIR)/libalps.a
LDLIBS = -lexpat

# suffix rules
%.o : %.c cmdline.h 
	$(CC) $(CFLAGS) $(EXTRA_CFLAGS) -c $< -o $@

all: $(TARGET)
	./$< --help
	./$< --basil --verbose

$(TARGET): $(MAIN) $(OBJS) $(ALPSLIB)
	$(CC) $(CFLAGS) $^ $(LDLIBS) -o $@
	@strip $@

main.c: cmdline.h $(INCDIR)/basil_alps.h

cmdline.o : cmdline.c cmdline.h 
	$(CC) $(CFLAGS) -c $< -o $@

cmdline.h cmdline.c: arguments.ggo
	gengetopt < $<

$(ALPSLIB): $(wildcard $(LIBDIR)/*.c) $(HEADERS)
	$(MAKE) -C $(@D)

.PHONY: clean all

tags: $(wildcard *.c $(LIBDIR)/*.c) $(HEADERS)
	ctags $^ > $@

clean:
	@$(RM) *.o *~ ? core a.out tags *.orig *.rej
	@$(RM) $(TARGET)

distclean: clean
	@$(RM) cmdline.c cmdline.h
