=== debian/changelog ===
slurm-llnl (16.05.2-1ubuntu2) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:10:49 +0000

slurm-llnl (16.05.2-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian: remaining changes:
    - Don't manually modify the -dbgsym package.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Aug 2016 10:37:20 +0200

slurm-llnl (16.05.2-1) unstable; urgency=medium

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 29 Jul 2016 18:34:26 +0200

slurm-llnl (16.05.0-1) unstable; urgency=medium

  * New upstream major release 
  * Update library files to version 30

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 14 Jun 2016 11:15:17 +0200

slurm-llnl (15.08.11-1) unstable; urgency=medium

  * New upstream release 
  * Fix d/rules using wildcard instead of the triplet

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 04 May 2016 12:01:47 +0200
