=== debian/rules ===
--- 
+++ 
@@ -83,8 +83,8 @@
 	mv debian/tmp-emulator/usr/bin/sstat	debian/tmp-emulator/usr/bin/sstat-emulator
 
 override_dh_strip:
-	dh_strip -plibslurm29 --dbg-package=libslurm29-dbg
-	dh_strip -plibslurmdb29 --dbg-package=libslurmdb29-dbg
+	dh_strip -plibslurm30 --dbg-package=libslurm30-dbg
+	dh_strip -plibslurmdb30 --dbg-package=libslurmdb30-dbg
 	dh_strip -plibpmi0 --dbg-package=libpmi0-dbg
 	dh_strip -pslurm-wlm-basic-plugins --dbg-package=slurm-wlm-basic-plugins-dbg
 	dh_strip -pslurm-client --dbg-package=slurm-client-dbg
@@ -104,6 +104,6 @@
 	dh_strip -pslurm-wlm-basic-plugins-dev
 	: # doesn't work on Launchpad
 	: strip --strip-debug --remove-section=.comment \
-		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/x86_64-linux-gnu/slurm/*.a
+		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm/*.a
 
 override_dh_auto_test:
