## slurm-llnl 16.05.8

=== debian/changelog ===
slurm-llnl (16.05.8-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Don't manually modify the -dbgsym package

 -- Bhavani Shankar <bhavi@ubuntu.com>  Thu, 12 Jan 2017 10:17:31 +0530

slurm-llnl (16.05.8-1) unstable; urgency=medium

  * New upstream release 
  * Remove wiki.conf.5 from slurm-client manpages

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 07 Jan 2017 02:40:23 +0100

slurm-llnl (16.05.7-2) unstable; urgency=medium

  * Enable multiple slurmd support (Closes: #849140)
  * Drop dependency on openssl-blacklist (Closes: #848627)
  * slurmd and slurm-client postrm don't kill slurm processes anymore
  * Checks whether the slurm user exists before deleting
  * Use numerical uid 64030 to kill slurm owned processes

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 30 Dec 2016 16:06:07 +0100

slurm-llnl (16.05.7-1) unstable; urgency=medium

  * New upstream release (Closes: #828549)
  * Add libswitch-perl dependency to slurm-wlm-torque (Closes: #847342)
  * Add slurmd.README.Debian (Closes: #845268) 
  * Move README.Debian to slurmctld.README.Debian
  * Add lintian overrides for no bindnow in many packages
  * Use jquery.min.js provided by libjs-jquery instead of upstream's
  * Add jquery source in missing-sources

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 14 Dec 2016 11:01:06 +0100

slurm-llnl (16.05.6-1) unstable; urgency=medium

  * Update libslurm{,db} symbols files
  * Remove unused hardening-no-bindnow lintian overrides
  * Add lsb-base dependency to slurmdbd
  * Change libmysqlclient-dev build dependency to default
  * Add libpmi2-0 packages thanks to Markus Geimer (Closes: #840404)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 28 Oct 2016 16:23:07 +0200

slurm-llnl (16.05.5-1) unstable; urgency=medium

  * New upstream release
  * Update debian configurators
  * Update header patch to remove google script in html
  * Update symbol files

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 30 Sep 2016 16:08:43 +0200

slurm-llnl (16.05.4-1) unstable; urgency=medium

  * New upstream release 
  * Add missing sh5util binary to slurm-client and qalter qrerun and
    mpiexec.slurm to slurm-wlm-torque (as requested by Jordi Blasco)
  * Update ax_lib_hdf5.m4 to avoid CPPFLAGS to be overwritten
  * Add HDF5_CPPFLAGS to successfully compile libsh5util_old.la
  * Restore default fortify flags

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 26 Sep 2016 11:44:23 +0200

slurm-llnl (16.05.2-1ubuntu3) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2016 10:39:34 +0100
