=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 export PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
-export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-bindnow
 # include defs of all DEB_HOST_*/DEB_BUILD_* vars
 include /usr/share/dpkg/architecture.mk
 
@@ -22,7 +22,8 @@
 # hardening-no-fortify-functions
 # Notice that -g in CFLAGS is still provided by dpkg-buildflags
 override_dh_auto_configure:
-	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug
+	dh_autoreconf
+	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-multiple-slurmd
 	dh_auto_configure --builddirectory build-emulator -- -sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug --enable-front-end --enable-multiple-slurmd
 
 override_dh_auto_build:
@@ -48,10 +49,22 @@
 	
 	# run make install for slurm-wlm-torque pkg
 	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/torque install DESTDIR=$(CURDIR)/debian/tmp
+
+	# run make install for PMI2 pkg
+	$(MAKE) -C obj-$(DEB_BUILD_GNU_TYPE)/contribs/pmi2 install DESTDIR=$(CURDIR)/debian/tmp
+
+	# Rename mpiexec to mpiexec.slurm
+	mv debian/tmp/usr/bin/mpiexec	debian/tmp/usr/bin/mpiexec.slurm
+
 	# build manpages for pbs wrappers
-	for i in debian/tmp/usr/bin/pbsnodes debian/tmp/usr/bin/q*; do \
-		pod2man $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
+	for i in debian/tmp/usr/bin/pbsnodes \
+		debian/tmp/usr/bin/mpiexec.slurm \
+		debian/tmp/usr/bin/q*; do \
+			pod2man $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
 	done
+
+	# Remove embedded jquery.min.js
+	rm -f debian/tmp/usr/share/doc/slurm-wlm-doc/html/jquery.min.js
 
 	# Rename binaries that are also in the slurm-wlm-emulator
 	mv debian/tmp/usr/sbin/slurmctld debian/tmp/usr/sbin/slurmctld-wlm
@@ -86,6 +99,7 @@
 	dh_strip -plibslurm30 --dbg-package=libslurm30-dbg
 	dh_strip -plibslurmdb30 --dbg-package=libslurmdb30-dbg
 	dh_strip -plibpmi0 --dbg-package=libpmi0-dbg
+	dh_strip -plibpmi2-0 --dbg-package=libpmi2-0-dbg
 	dh_strip -pslurm-wlm-basic-plugins --dbg-package=slurm-wlm-basic-plugins-dbg
 	dh_strip -pslurm-client --dbg-package=slurm-client-dbg
 	dh_strip -pslurmd --dbg-package=slurmd-dbg
@@ -99,6 +113,7 @@
 	dh_strip -pslurm-wlm-emulator
 	dh_strip -pslurm-client-emulator
 	dh_strip -plibpmi0-dev
+	dh_strip -plibpmi2-0-dev
 	dh_strip -plibslurmdb-dev
 	dh_strip -plibslurm-dev
 	dh_strip -pslurm-wlm-basic-plugins-dev
