=== debian/changelog ===
slurm-llnl (16.05.9-1+deb9u4) stretch; urgency=medium

  * Fix build regression on 32-bits architecture (Closes: #929600) 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 27 May 2019 09:48:30 +0200

slurm-llnl (16.05.9-1+deb9u3) stretch-security; urgency=high

  * Fix CVE-2019-6438 by adding mitigation for a potential
    heap-overflow on 32-bit systems

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 12 Feb 2019 23:34:26 +0100

slurm-llnl (16.05.9-1+deb9u2) stretch-security; urgency=high

  * Fix CVE-2018-10995 caused by mishandling user names (aka user_name
    fields) and group ids (aka gid fields)
  * Fix CVE-2018-7033 that can cause SQL Injection attacks against
    SlurmDBD

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 23 Jul 2018 12:00:49 +0200

slurm-llnl (16.05.9-1+deb9u1) stretch-security; urgency=high

  * Fix CVE-2017-15566 caused by insecure SPANK environment variable
    handling, allowing privilege escalation to root during Prolog or
    Epilog execution (Closes: #880530)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 05 Nov 2017 11:28:51 +0100

slurm-llnl (16.05.9-1) unstable; urgency=medium

  * New upstream release
  * Overrides spelling-error-in-binary false positives

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 03 Feb 2017 09:50:02 +0100
