=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python,
  libglade2-dev,
  libgtk2.0-dev,
- libmysqlclient-dev,
+ default-libmysqlclient-dev,
  libpam0g-dev,
  libperl-dev,
  chrpath,
@@ -24,7 +24,9 @@
  dh-exec,
  librrd-dev,
  libipmimonitoring-dev,
- dh-systemd (>= 1.5)
+ dh-systemd (>= 1.5),
+ hdf5-helpers,
+ libhdf5-dev
 Standards-Version: 3.9.8
 Homepage: http://slurm.schedmd.com
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/slurm-llnl.git
@@ -90,7 +92,6 @@
  adduser,
  ucf,
  munge,
- openssl-blacklist,
  openssl (>= 0.9.8g-9),
  lsb-base (>= 3.2-12)
 Replaces: slurm-llnl (<< 14.03)
@@ -127,7 +128,6 @@
  adduser,
  ucf,
  munge,
- openssl-blacklist,
  openssl (>= 0.9.8g-9),
  lsb-base (>= 3.2-12)
 Replaces: slurm-llnl (<< 14.03)
@@ -225,6 +225,30 @@
  This package contains the debugging symbols for SLURM PMI library
  implementation.
 
+Package: libpmi2-0
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: SLURM PMI2 library implementation
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ This package contains the SLURM PMI2 runtime implementation.
+
+Package: libpmi2-0-dbg
+Architecture: any
+Section: debug
+Depends:
+ libpmi0 (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM PMI2 library implementation
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for SLURM PMI2 library
+ implementation.
+
 Package: libslurm-dev
 Section: libdevel
 Architecture: any
@@ -265,10 +289,25 @@
  This package contains the SLURM PMI implementation static library and header
  files
 
+Package: libpmi2-0-dev
+Section: libdevel
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ libpmi2-0 (= ${binary:Version}),
+ libslurm30 (= ${binary:Version})
+Description: SLURM PMI2 library implementation development files
+ SLURM, the Simple Linux Utility for Resource Management,
+ is an open-source cluster resource management and job scheduling.
+ This package contains the SLURM PMI2 implementation static library and header
+ files
+
 Package: slurm-wlm-doc
 Section: doc
 Architecture: all
 Depends:
+ libjs-jquery,
  ${shlibs:Depends},
  ${misc:Depends}
 Replaces: slurm-llnl-doc (<< 14.03)
@@ -323,39 +362,3 @@
  ${shlibs:Depends},
  ${misc:Depends},
  slurm-client (= ${binary:Version})
-Replaces: slurm-llnl-sview (<< 14.03)
-Breaks: slurm-llnl-sview (<< 14.03)
-Description: GUI to view and modify SLURM state
- SLURM, the Simple Linux Utility for Resource Management,
- is an open-source cluster resource management and job scheduling.
- This package contains sview a GUI that can be used to view SLURM
- configuration, job, step, node and partitions state information.
- Authorized users can also modify select information.
-
-Package: slurmdbd
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- slurm-wlm-basic-plugins (= ${binary:Version}),
- adduser,
- munge,
- ucf
-Replaces: slurm-llnl-slurmdbd (<< 14.03)
-Breaks: slurm-llnl-slurmdbd (<< 14.03)
-Description: Secure enterprise-wide interface to a database for SLURM
- SLURM, the Simple Linux Utility for Resource Management,
- is an open-source cluster resource management and job scheduling.
- This package contain SlurmDBD (Slurm DataBase Daemon) that can be
- used to securely manage the accounting data for several Slurm
- clusters in a central location and sacctmgr a command for managing
- user accounts in SlurmDBD.
-
-Package: slurmdbd-dbg
-Architecture: any
-Section: debug
-Depends:
- slurmdbd (= ${binary:Version}),
- ${misc:Depends}
-Description: debugging symbols for slurmdbd daemon
- SLURM stands for Simple Linux Utility for Resource Management, it
