=== debian/rules ===
--- 
+++ 
@@ -117,8 +117,7 @@
 	dh_strip -plibslurmdb-dev
 	dh_strip -plibslurm-dev
 	dh_strip -pslurm-wlm-basic-plugins-dev
-	: # doesn't work on Launchpad
-	: strip --strip-debug --remove-section=.comment \
+	strip --strip-debug --remove-section=.comment \
 		--remove-section=.note debian/slurm-wlm-basic-plugins-dev/usr/lib/*/slurm/*.a
 
 override_dh_auto_test:
